diff -ur ifp_gui-0.10.5-orig/src/gui_user.cpp ifp_gui-0.10.5/src/gui_user.cpp
--- ifp_gui-0.10.5-orig/src/gui_user.cpp	2005-10-28 11:37:02.000000000 +0900
+++ ifp_gui-0.10.5/src/gui_user.cpp	2005-12-25 19:00:29.000000000 +0900
@@ -72,7 +72,10 @@
    if (list == NULL)
       return(-1);
 
-   list->prepend(new FileInfos(QString::fromUtf8(filename, -1), type, filesize, NULL));
+// DFedit:
+//   list->prepend(new FileInfos(QString::fromUtf8(filename, -1), type, filesize, NULL));
+   list->prepend(new FileInfos(QString::fromLocal8Bit(filename, -1), type, filesize, NULL));
+
    return 0;
 }
 
@@ -95,19 +98,31 @@
 int ifp_get_file_list(struct ifp_device * dev, QString& filename, QPtrList<FileInfos> *list)
    {
    int ret;
-   QString fullname, tmp_str;
+
+// DFedit:
+//   QString fullname, tmp_str;
+   QString fullname, tmp_str, nameTMP;
+
    //char fullname[IFP_MAXPATHLEN];
    FileInfos *fi_temp;
 
    slash2backslash(filename);
 
    // check if directory exists
-   if (ifp_exists(dev, filename) != IFP_DIR)
+
+// DFedit:
+//   if (ifp_exists(dev, filename) != IFP_DIR)
+   nameTMP = filename.local8Bit();
+   if (ifp_exists(dev, nameTMP) != IFP_DIR)
+
       {
       return (-ENOENT);
       }
 
-   ret = ifp_list_dirs(dev, filename, file_dir_callbk, list);
+// DFedit:
+//   ret = ifp_list_dirs(dev, filename, file_dir_callbk, list);
+   ret = ifp_list_dirs(dev, nameTMP, file_dir_callbk, list);
+
    if (ret)
       {
       ifp_err_i(ret, "couldn't get basic directory listing.");
@@ -361,7 +376,9 @@
 
    for (fi_temp = tmp_list->first(); fi_temp; fi_temp = tmp_list->next())
       {
+// DFedit:
       list->append(new FileInfos(fi_temp->FileName(),
+//      list->append(new FileInfos(QString::fromLocal8Bit(fi_temp->FileName()),
                                  fi_temp->FileType(),
                                  fi_temp->FileSize(),
                                  NULL));
@@ -394,8 +411,12 @@
    ifpSourceName = sfilename;
    slash2backslash(ifpSourceName);
 
-   sbuffer = ifpSourceName.utf8();
-   dbuffer = destination.utf8();
+// DFedit:
+//   sbuffer = ifpSourceName.utf8();
+//   dbuffer = destination.utf8();
+   sbuffer = ifpSourceName.local8Bit();
+   dbuffer = destination.local8Bit();
+
    ret = ifpgui_ifp_download_file(&ifp_dev, sbuffer, dbuffer, progress, fn_context);
 
    return(ret);
@@ -428,8 +449,12 @@
    ifpSourceName = sdirname;
    slash2backslash(ifpSourceName);
 
-   sbuffer = ifpSourceName.utf8();
-   dbuffer = destination.utf8();
+// DFedit:
+//   sbuffer = ifpSourceName.utf8();
+//   dbuffer = destination.utf8();
+   sbuffer = ifpSourceName.local8Bit();
+   dbuffer = destination.local8Bit();
+
    ret = ifpgui_ifp_download_dir(&ifp_dev, sbuffer, dbuffer, progress, fn_context);
 
    return(ret);
@@ -459,8 +484,12 @@
    ifpDestName = destination;
    slash2backslash(ifpDestName);
 
-   sbuffer = sfilename.utf8();
-   dbuffer = ifpDestName.utf8();
+// DFedit:
+//   sbuffer = sfilename.utf8();
+//   dbuffer = ifpDestName.utf8();
+   sbuffer = sfilename.local8Bit();
+   dbuffer = ifpDestName.local8Bit();
+
    ret = ifpgui_ifp_upload_file(&ifp_dev, sbuffer, dbuffer, progress, fn_context);
 
    return(ret);
@@ -493,8 +522,12 @@
    ifpDestName = destination;
    slash2backslash(ifpDestName);
 
-   sbuffer = sdirname.utf8();
-   dbuffer = ifpDestName.utf8();
+// DFedit:
+//   sbuffer = sdirname.utf8();
+//   dbuffer = ifpDestName.utf8();
+   sbuffer = sdirname.local8Bit();
+   dbuffer = ifpDestName.local8Bit();
+
    ret = ifpgui_ifp_upload_dir(&ifp_dev, sbuffer, dbuffer, progress, fn_context);
 
    return(ret);
diff -ur ifp_gui-0.10.5-orig/src/ifp.h ifp_gui-0.10.5/src/ifp.h
--- ifp_gui-0.10.5-orig/src/ifp.h	2005-08-25 13:10:54.000000000 +0900
+++ ifp_gui-0.10.5/src/ifp.h	2005-12-25 18:37:43.000000000 +0900
@@ -202,7 +202,11 @@
 #define IFP_ERR_USER_CANCEL 	11     /**< A user callback requested the transfer be cancelled. */
 
 #define IFP_TUNER_PRESET_DATA	240    /**< Tuner preset buffer size. */
-#define IFP_FREQ_MIN		8750   /**< lowist valid frequency (87.5kHz) */
+
+// DFedit:
+//#define IFP_FREQ_MIN		8750   /**< lowist valid frequency (87.5kHz) */
+#define IFP_FREQ_MIN		7600   /**< lowist valid frequency (76.0kHz) */
+
 #define IFP_FREQ_MAX		10800  /**< highist valid frequency (108.0kHz) */
 #define IFP_PRESET_TOTAL	20     /**< number of preset stations. */
 #define IFP_TUNER_LABEL		6      /**< max size of label string. */
diff -ur ifp_gui-0.10.5-orig/src/ifpguiview.cpp ifp_gui-0.10.5/src/ifpguiview.cpp
--- ifp_gui-0.10.5-orig/src/ifpguiview.cpp	2005-10-28 11:37:02.000000000 +0900
+++ ifp_gui-0.10.5/src/ifpguiview.cpp	2005-12-24 00:01:16.000000000 +0900
@@ -472,7 +472,11 @@
          processingFiles = FALSE;
          return;
          }
-      qcfilename = filename.utf8();
+
+// DFedit:
+//      qcfilename = filename.utf8();
+      qcfilename = filename.local8Bit();
+
       ifpgui_ifp_update_firmware(&ifp_dev, qcfilename, progress, NULL);
       usleep(10000000); // sleep 10 seconds
       delete pginfo.pgw;
diff -ur ifp_gui-0.10.5-orig/src/iointerface.cpp ifp_gui-0.10.5/src/iointerface.cpp
--- ifp_gui-0.10.5-orig/src/iointerface.cpp	2005-10-30 01:04:19.000000000 +0900
+++ ifp_gui-0.10.5/src/iointerface.cpp	2005-12-25 18:56:34.000000000 +0900
@@ -466,6 +466,10 @@
       lastErrString = QObject::tr("Could not rename  %1  to  %2").arg(oldName).arg(newName);
       return(-1);
       }
+
+// DFedit:
+   file.setName(newName);
+
    return(IO_INTF_OK);
    }
 
@@ -764,7 +768,11 @@
    if (ret == QDialog::Accepted)
       {
       slash2backslash(newDir);
-      qcfilename = newDir.utf8();
+
+// DFedit:
+//      qcfilename = newDir.utf8();
+      qcfilename = newDir.local8Bit();
+
       ret = ifpgui_ifp_mkdir(&ifp_dev, qcfilename);
       if (ret != IO_INTF_OK)
          {
@@ -807,8 +815,13 @@
 
    slash2backslash(tmp_oldName);
    slash2backslash(tmp_newName);
-   qcfilename_old = tmp_oldName.utf8();
-   qcfilename_new = tmp_newName.utf8();
+
+// DFedit:
+//   qcfilename_old = tmp_oldName.utf8();
+//   qcfilename_new = tmp_newName.utf8();
+   qcfilename_old = tmp_oldName.local8Bit();
+   qcfilename_new = tmp_newName.local8Bit();
+
    ret = ifpgui_ifp_rename(&ifp_dev, qcfilename_old, qcfilename_new);
    if (ret != IO_INTF_OK)
       {
@@ -870,7 +883,11 @@
             }
          if ((mbret == QMessageBox::Yes) || (mbret == QMessageBox::YesAll))
             {
-            qcfilename = filename.utf8();
+
+// DFedit:
+//            qcfilename = filename.utf8();
+            qcfilename = filename.local8Bit();
+
             ret = ifpgui_ifp_delete_dir_recursive(&ifp_dev, qcfilename);
             if (ret != IO_INTF_OK)
                {
@@ -896,7 +913,11 @@
             }
          if ((mbret == QMessageBox::Yes) || (mbret == QMessageBox::YesAll))
             {
-            qcfilename = filename.utf8();
+
+// DFedit:
+//            qcfilename = filename.utf8();
+            qcfilename = filename.local8Bit();
+
             ret = ifpgui_ifp_delete(&ifp_dev, qcfilename);
             if (ret != IO_INTF_OK)
                {
diff -ur ifp_gui-0.10.5-orig/src/progressdlg.cpp ifp_gui-0.10.5/src/progressdlg.cpp
--- ifp_gui-0.10.5-orig/src/progressdlg.cpp	2005-10-28 11:37:02.000000000 +0900
+++ ifp_gui-0.10.5/src/progressdlg.cpp	2005-12-24 00:34:35.000000000 +0900
@@ -333,7 +333,10 @@
    if (pginfo->pgw->cancel_progress == 1)
       return(1);
 
-   pginfo->file_name       = QString(status->file_name);
+// DFedit:
+//   pginfo->file_name       = QString(status->file_name);
+   pginfo->file_name       = QString::fromLocal8Bit(status->file_name);
+
    pginfo->file_bytes      = status->file_bytes;
    pginfo->file_total      = status->file_total;
    pginfo->is_status_batch = status->is_batch;
diff -ur ifp_gui-0.10.5-orig/src/radiofreqdlg.cpp ifp_gui-0.10.5/src/radiofreqdlg.cpp
--- ifp_gui-0.10.5-orig/src/radiofreqdlg.cpp	2005-10-30 01:11:27.000000000 +0900
+++ ifp_gui-0.10.5/src/radiofreqdlg.cpp	2005-12-25 19:02:20.000000000 +0900
@@ -153,7 +153,11 @@
       dbl = freqTable->text(row, 1).toDouble(&ok);
       if (!ok)
          {
-         err = tr("Error: frequency is not valid.\n\nEnter a value between 87.5 and 108.0 (MHz)");
+
+// DFedit:
+//         err = tr("Error: frequency is not valid.\n\nEnter a value between 87.5 and 108.0 (MHz)");
+         err = tr("Error: frequency is not valid.\n\nEnter a value between 76.0 and 108.0 (MHz)");
+
          showInfoMsgBox(tr("Set Radio Frequency Status"), err);
 
          ret = ifpgui_ifp_get_station(row, buf, label, &freq);
@@ -173,7 +177,11 @@
          }
       if ((freq < IFP_FREQ_MIN) || (freq > IFP_FREQ_MAX))
          {
-         err = QObject::tr("Error: frequency out of range.\n\nEnter a value between 87.5 and 108.0 (MHz)");
+
+// DFedit:
+//         err = QObject::tr("Error: frequency out of range.\n\nEnter a value between 87.5 and 108.0 (MHz)");
+         err = QObject::tr("Error: frequency out of range.\n\nEnter a value between 76.0 and 108.0 (MHz)");
+
          showInfoMsgBox(tr("Set Radio Frequency Status"), err);
          if (freq < IFP_FREQ_MIN)
             {
